<?php
/**
 * @version   $id: $
 * @author    JoomlaUX!
 * @package   Joomla!
 * @subpackage  mod_jux_news_ticker
 * @copyright Copyright (C) 2012 - 2014 by Joomlaux. All rights reserved.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL version 3, See LICENSE.txt
 */

defined('JPATH_BASE') or die;

jimport('joomla.html.html');

/**
 * Extent the Spacer element of Joomla
 */
class JFormFieldJUXSpacer extends JFormFieldSpacer {

	/**
	 * The form field type.
	 *
	 * @var    string
	 */
	protected $type = 'JUXSpacer';

	/**
	 * Return a blank div instead of blank string for better usage.
	 *
	 * @return  string  The field input markup.
	 *
	 * @since   11.1
	 */
	protected function getInput() {

		$html	= '<div id="'.$this->id.'"></div>';
		
		return $html;
	}

	/**
	 * Override getLabel function for hiding Label when don't need.
	 * 
	 * @return string	Label if label element is set, blank otherwise
	 */
	protected function getLabel_() {
		if($this->element['label']) {
			return parent::getLabel();
		} else {
			return '';
		}
	}
}