<?php

/**
 * @version         $id: $
 * @author          JoomlaUX!
 * @package         Joomla!
 * @subpackage      mod_jux_news_ticker
 * @copyright       Copyright (C) 2012 - 2015 by Joomlaux. All rights reserved.
 * @license         http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL version 3, See LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
require_once __DIR__ . '/helper.php';

$document = JFactory::getDocument();

// Demo Mode
if (!defined('DEMO_MODE')) {
    define('DEMO_MODE', 0);
}
if (DEMO_MODE) {
    $input = JFactory::getApplication()->input;
    $data = $input->post->get('jux_demo_control_form', array(), 'array');

    $properties = $params->toArray();
    foreach ($properties as $key => $value) {
        $params->set($key, isset($data[$key]) ? $data[$key] : $value);
    }
}

// get options from back-end
$ticker_style = $params->get('ticker_style');
$display_type = $params->get('display_type');
$sticky = $params->get('sticky');
$full_width = $params->get('full_width');
$location = $params->get('location');

// Getdata display options
$show_control       = $params->get('show_control');
$autoplay           = $params->get('autoplay');
$animation_speed    = $params->get('animation_speed');
$pause_on_hover     = $params->get('pause_on_hover');

// Headtext
$show_headtext = $params->get('show_headtext');
if ($show_headtext == "1") {
    $headtext = $params->get('headtext');
} else {
    $headtext = "";
}

// Module tab
$date = $params->get('date');
$time = $params->get('time');
$custom_time = $params->get('custom_time');
$link_target = $params->get('link_target');
$merge_link = $params->get('merge_link');
$merge_link_position = $params->get('merge_link_position');
$display_form = $params->get('display_form');

$custom_css = $params->get('custom_css');

modJUXNewsTickerHelper::loadJquery($params);
modJUXNewsTickerHelper::loadCss($params);

$lists = modJUXNewsTickerHelper::getList($params);
$external_links = modJUXNewsTickerHelper::getExternalsLink($params);


// Process multi modules CSS

$juxtheme = $params->get('juxtheme');
if ($params->get('juxtheme') == "none") {
    $customcss = 'modules/mod_jux_news_ticker/assets/css/style/custom-'.$module->id.'.css';
    if (mod_JUX_NewsTickerHelper::getCssProcessor($params,$customcss,".$juxtheme")){
        $document->addStyleSheet($customcss);
    }
} else {
    $customcss = "modules/mod_jux_news_ticker/assets/css/style/$juxtheme.css";
    $document->addStyleSheet($customcss);
}

require (JModuleHelper::getLayoutPath('mod_jux_news_ticker', $params->get('layout', 'default')));

