<?php
/**
 * @version   $id: $
 * @author    JoomlaUX!
 * @package   Joomla!
 * @subpackage  mod_jux_news_ticker
 * @copyright Copyright (C) 2012 - 2014 by Joomlaux. All rights reserved.
 * @license   http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL version 3, See LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die('Restricted access');
JHtml::_('jquery.framework');
$document = JFactory::getDocument();
$document->addStyleDeclaration($custom_css);

if($display_type == "slide"){
    $display_css = '#jux_news_ticker'.$module->id.'{position:fixed;left:0;width:100%;'. $location .':0;}';
    $document->addStyleDeclaration($display_css);
}

?>
<?php if($display_type == "slide"): ?>
<div class="jquery-arrow down" style="<?php echo $location ?>: 0; height: <?php echo $params->get('ticker_height'); ?>;width: <?php echo $params->get('ticker_height'); ?>;">
    <i class="fa fa-angle-down" style="line-height: <?php echo $params->get('ticker_height'); ?>"></i>
</div>
<?php endif; ?>
<div id="jux_news_ticker<?php echo $module->id; ?>" style="z-index:99!important;" class="<?php echo $params->get('juxtheme'); ?>">
    <div class="jux_sticky <?php echo ($display_type == "slide") ? "ticker-sliding" : "ticker-static"; ?>">
        <div class="jux_boundary">
            <?php if ($params->get('show_headtext', 1)): ?>
                <div class="jux_ticker_header">
                    <h4><?php echo $params->get('headtext', 'Headlines:') ?></h4>
                </div>
            <?php endif; ?>

            <?php if ($show_control): ?>
               <div class="jux-news-ticker-controls jux-news-ticker-horizontal-controls">
                <?php if ($ticker_style != "scroll"): ?>
                    <button class="jux-news-ticker-arrow jux-news-ticker-prev"></button>
                <?php endif; ?>
                <?php if ($ticker_style == "scroll"): ?>
                    <button class="jux-news-ticker-pause"></button>
                <?php endif; ?>
                 <?php if ($ticker_style != "scroll"): ?>
                    <button class="jux-news-ticker-arrow jux-news-ticker-next"></button>
                <?php endif; ?>
                </div>

            <?php endif; ?>

            <?php if ((isset($lists) && count($lists) > 0) || ($display_form == "external_link")) : ?>
                <div id="jux-ticker<?php echo $module->id ?>" class="jux-ticker-inner" style="position:relative!important;overflow: hidden;">
                    <?php
                    $i = 0;
                    $jux_date_now = JFactory::getDate();
                    $jux_date = $jux_date_now->tosql(true);
                    $jux_date_seconds = strtotime(date($jux_date));
                    ?>
                    <ul class="my-news-ticker">
                        <!-- Merge External Link -->
                        <?php if (($merge_link == "1" && $merge_link_position == "front") || ($display_form == "external_link")): ?>
                            <?php foreach ($external_links as $external_link):

                             ?>
                                <li  class="jux-ticker-item">
                                    <a href="<?php echo $external_link->website; ?>" target="<?php echo $link_target; ?>"><span><?php echo modJUXNewsTickerHelper::trimChar($external_link->title); ?></span></a>
                                </li>
                            <?php endforeach; ?>
                        <?php endif; ?>

                        <?php if (($display_form == "joomla_content")): ?>
                            <?php foreach ($lists as $list): ?>
                                <!-- Process datetime -->
                                <?php
                                $date_created = $list->created;
                                $date_created_seconds = strtotime(date($date_created));
                                $days_ago = (int) (($jux_date_seconds - $date_created_seconds) / 86400);
                                // Choose time format
                                $date_created_time = new DateTime($date_created);
                                if ($custom_time) {
                                    $time = $custom_time;
                                } else {
                                    $time = $time;
                                }
                                $date_format = JText::_($time);
                                ?>
                                <li class="jux-ticker-item">
                                    <a href="<?php echo $list->link ?>" target="<?php echo $link_target; ?>"><?php echo modJUXNewsTickerHelper::trimChar($list->title, $params->get('title_max_chars', 150)) ?>
                                        <?php if ($date == "1"): ?>
                                            <?php if ($time == "0"): ?>
                                                <span class="time_color"> - <?php echo JText::_('JUX_POSTED'); ?> <?php echo $days_ago; ?></span>
                                                <span class="time_color"> <?php echo JText::_('JUX_DAYS_AGO'); ?></span>
                                            <?php elseif ($time != "0"): ?>
                                                <span class="time_color"> - <?php echo JText::_('JUX_POSTED_ON'); ?></span>
                                                <span class="time_color"> <?php echo $date_created_time->format($date_format); ?></span>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </a>
                                </li>
                            <?php endforeach; ?>
                        <?php endif; ?>

                        <?php if ($merge_link == "1" && $merge_link_position == "rear"): ?>
                            <?php foreach ($external_links as $external_link): ?>
                                <?php // var_dump($external_link);die; ?>
                                <li  class="jux-ticker-item">
                                    <a href="<?php echo $external_link['website']; ?>" target="<?php echo $link_target; ?>"><span><?php echo modJUXNewsTickerHelper::trimChar($external_link['title']); ?></span></a>
                                </li>
                            <?php endforeach; ?>
                        <?php endif; ?>
                    </ul>
                </div>
            <?php endif; ?>
        </div>          

    </div>

    <!-- Process if display type is static -->
    <?php if ($display_type == "static"): ?>
        <?php if ($sticky == "1"): ?>
            <script>
                jQuery(document).ready(function ($) {
                    $('#jux_news_ticker<?php echo $module->id; ?>').stickit({
                        scope: StickScope.Document, 
                        top: 0
                    });
                });
            </script>
        <?php endif; ?>
    <?php endif; ?>

    <?php if ($ticker_style == "type"): ?>
        <script>
            jQuery(document).ready(function ($) {
                jQuery('#jux_news_ticker<?php echo $module->id; ?> .my-news-ticker').AcmeTicker({
                    type:'typewriter',
                    pauseOnFocus:true,
                    autoplay: <?php echo $autoplay; ?>,
                    speed: <?php echo $animation_speed; ?>,
                    pauseOnHover:<?php echo $pause_on_hover; ?>,

                    controls: {
                        prev: $('.jux-news-ticker-prev'),
                        next: $('.jux-news-ticker-next')
                      }
                });
            })

        </script>
    <?php endif; ?>

    <?php if ($ticker_style == "scroll"): ?>
        <script>
            jQuery(document).ready(function ($) {
                jQuery('#jux_news_ticker<?php echo $module->id; ?> .my-news-ticker').AcmeTicker({
                    type:'marquee',/*horizontal/horizontal/Marquee/type*/
                    direction: 'left',/*up/down/left/right*/
                    pauseOnFocus:true,
                    speed: 0.03,
                    pauseOnHover:<?php echo $pause_on_hover; ?>,
                    controls: {
                        toggle: $('.jux-news-ticker-pause'),/*Can be used for horizontal/horizontal/typewriter*//*not work for marquee*/
                    }
                });
            })

        </script>
    <?php endif; ?>

    <?php if ($ticker_style == "slide"): ?>
        <script>
            jQuery(document).ready(function ($) {
                jQuery('#jux_news_ticker<?php echo $module->id; ?> .my-news-ticker').AcmeTicker({
                    type:'horizontal',
                    pauseOnFocus:true,
                    autoplay: <?php echo $autoplay; ?>,
                    speed: <?php echo $animation_speed; ?>,
                    pauseOnHover:<?php echo $pause_on_hover; ?>,
                    controls: {
                        prev: $('.jux-news-ticker-prev'),
                        next: $('.jux-news-ticker-next')
                      }
                });
            })

        </script>
    <?php endif; ?>
